<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotSessionMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $sessionId = null;
    


    protected $sessionSource = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSessionId()
    {
        return isset($this->sessionId) ? $this->sessionId : '';
    }

    public function hasSessionId()
    {
        return isset($this->sessionId);
    }

    public function clearSessionId()
    {
        unset($this->sessionId);
    }

    




    public function setSessionId($var)
    {
        GPBUtil::checkString($var, True);
        $this->sessionId = $var;

        return $this;
    }

    



    public function getSessionSource()
    {
        return isset($this->sessionSource) ? $this->sessionSource : 0;
    }

    public function hasSessionSource()
    {
        return isset($this->sessionSource);
    }

    public function clearSessionSource()
    {
        unset($this->sessionSource);
    }

    




    public function setSessionSource($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\BotSessionSource::class);
        $this->sessionSource = $var;

        return $this;
    }

}

